| QxOrm 1.2.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qx::dao::detail::QxSqlExpression Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlExpression : SQL element to build a SQL expression (WHERE, AND, OR, etc.) More...

`#include <QxSqlExpression.h>`

Inheritance diagram for qx::dao::detail::QxSqlExpression:

List of all members.

## Public Types
enum | type { _where, _and, _or, _open_parenthesis, _close_parenthesis }
## Public Member Functions
| QxSqlExpression (int index, QxSqlExpression::type t)
virtual | ~QxSqlExpression ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
## Protected Attributes
QxSqlExpression::type | m_type

## Detailed Description

qx::dao::detail::QxSqlExpression : SQL element to build a SQL expression (WHERE, AND, OR, etc.)

Definition at line 50 of file QxSqlExpression.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxSqlExpression::type

Enumerator:

  _where |
  _and |
  _or |
  _open_parenthesis |
  _close_parenthesis |

Definition at line 55 of file QxSqlExpression.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlExpression::QxSqlExpression | ( | int | index,
|  | QxSqlExpression::type | t
| ) |  |

virtual qx::dao::detail::QxSqlExpression::~QxSqlExpression | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void qx::dao::detail::QxSqlExpression::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlExpression::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlExpression::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

## Member Data Documentation

QxSqlExpression::type qx::dao::detail::QxSqlExpression::m_type`[protected]`

Definition at line 60 of file QxSqlExpression.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlExpression.h